Search documentation of bb

# BB.Error.Invalid.Topology exception (bb v0.17.0)

Copy Markdown View Source

Robot topology configuration error.

Raised during DSL compilation when the robot topology is invalid (e.g., circular references, missing links, invalid joint types).

## Summary

### Functions

exception(msg)

Create an `Elixir.BB.Error.Invalid.Topology` without raising it.

## Functions

# exception(msg)

    @spec exception(opts :: Keyword.t()) :: %BB.Error.Invalid.Topology{
      __exception__: true,
      bread_crumbs: term(),
      class: term(),
      location: term(),
      message: term(),
      module: term(),
      path: term(),
      splode: term(),
      stacktrace: term(),
      vars: term()
    }

Create an `Elixir.BB.Error.Invalid.Topology` without raising it.

## Keys

- :module
- :location
- :message